Name:		parallel
Summary:	A shell tool for executing jobs in parallel
Version:	20120222
Release:	1
License:	GPLv3
Source0:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.gnu.org/software/parallel/
Group:		File tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl >= 5.8.8, sed
Requires:	perl >= 5.8.8

%description
GNU parallel is a perl tool for executing jobs in parallel locally
or using remote machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The typical
input is a list of files, a list of hosts, a list of users, a list of URLs,
or a list of tables.


%prep
%setup -q
%patch0


%build
# we need to find our Perl before the system Perl
export PATH=/opt/freeware/bin:$PATH
export PERL=/opt/freeware/bin/perl
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%{_bindir}/sed -i -e 's|#!/usr/bin/perl -w|#!/opt/freeware/bin/perl -w|g' ${RPM_BUILD_ROOT}%{_bindir}/%{name}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system) 
%doc README NEWS src/%{name}.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Wed Feb 22 2012 Michael Perzl <michael@perzl.org> - 20120222-1
- updated to version 20120222

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 20120122-1
- updated to version 20120122

* Thu Dec 22 2011 Michael Perzl <michael@perzl.org> - 20111222-1
- updated to version 20111222

* Tue Nov 22 2011 Michael Perzl <michael@perzl.org> - 20111122-1
- updated to version 20111122

* Mon Oct 24 2011 Michael Perzl <michael@perzl.org> - 20111022-1
- updated to version 20111022

* Mon Aug 22 2011 Michael Perzl <michael@perzl.org> - 20110822-1
- updated to version 20110822

* Fri Jul 22 2011 Michael Perzl <michael@perzl.org> - 20110722-1
- updated to version 20110722

* Wed Jun 22 2011 Michael Perzl <michael@perzl.org> - 20110622-1
- updated to version 20110622

* Sun May 22 2011 Michael Perzl <michael@perzl.org> - 20110522-1
- updated to version 20110522

* Fri Apr 22 2011 Michael Perzl <michael@perzl.org> - 20110422-1
- updated to version 20110422

* Tue Mar 22 2011 Michael Perzl <michael@perzl.org> - 20110322-1
- updated to version 20110322

* Sat Feb 05 2011 Michael Perzl <michael@perzl.org> - 20110205-1
- updated to version 20110205

* Wed Jan 26 2011 Michael Perzl <michael@perzl.org> - 20110125-1
- updated to version 20110125

* Sun Jan 23 2011 Michael Perzl <michael@perzl.org> - 20110122-1
- updated to version 20110122

* Thu Jan 13 2011 Michael Perzl <michael@perzl.org> - 20101222-1
- updated to version 20101222

* Thu Dec 02 2010 Michael Perzl <michael@perzl.org> - 20101202-1
- updated to version 20101202

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 20101122-1
- updated to version 20101122

* Mon Nov 15 2010 Michael Perzl <michael@perzl.org> - 20101113-1
- updated to version 20101113

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 20100922-1
- updated to version 20100922

* Mon Sep 06 2010 Michael Perzl <michael@perzl.org> - 20100906-1
- updated to version 20100906

* Mon Aug 23 2010 Michael Perzl <michael@perzl.org> - 20100822-1
- updated to version 20100822

* Mon Jul 26 2010 Michael Perzl <michael@perzl.org> - 20100722-1
- first version for AIX5L v5.1 and higher
